Get all elements

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Intro

With this API you can get all the secrets created in the vault tool

Important Points

Pagination Parameters

The next two pagination parameters are mandatory.

  • itemsPerPage, number of items by page, should be an integer between [1, 1000]
  • page, number of recovered page, should be an integer greater than 0

The next errors are returned if there is a problem with the request body or the execution of this service:

"itemsPerPage": ERROR_QUERY_PARAM_FORMAT; indicates that should be an integer value between 1 and 1000
"page": ERROR_QUERY_PARAM_FORMAT;  indicates that should be an integer value greater than 0

Type parameter

The type parameter is an optional field to retrieve elements for a specific type, the possible values are:

  • BC_PF to retrieve Buró de Crédito Persona Física secrets
  • BC_PM to retrieve Buró de Crédito Persona Moral secrets
  • CC_PF to retrieve Círculo de Crédito Persona Física secrets
  • CUSTOM to retrieve custom secrets.

Response

Kiban will return a list of items with the next structure:

{
    "currentPage": 1,
    "hasNextPage": false,
    "items": [
        {
            "id": "642243f799082166e4ff8fce",
            "createdAt": "2023-03-28T01:33:43.031Z",
            "finishedAt": "2023-03-28T01:33:43.038Z",
            "duration": 6677309,
            "status": "SUCCESS",
            "response": {
                "name": "CLAVES - CUSTOM",
                "type": "CUSTOM"
            }
        },
        {
            "id": "6422435799082166e4ff8fcb",
            "createdAt": "2023-03-28T01:31:03.471Z",
            "finishedAt": "2023-03-28T01:31:03.477Z",
            "duration": 6378636,
            "status": "SUCCESS",
            "response": {
                "name": "CLAVES - CC PF",
                "type": "CC_PF"
            }
        }
    ]
}
  • currentPage, the actual recovered page
  • hasNextPage, indicate if there are more pages
  • items, list of items in the response
    • id, identifier of the request.
    • createdAt, date time when the request was received.
    • finishedAt, date time when the response was generated
    • duration, indicates how long it took to execute the service.
    • status, status of the request
    • response, this field will have specific data of the secret
      • name, name of the secret
      • type, type of the secret
Query Params
int32
required
Defaults to 10

number of items by page, should be integer value between [1, 1000]

int32
required
Defaults to 1

number of recovered page, should be integer value greater than 0

string

Indicate the specific type to retrieve (BC_PF, BC_PM, CC_PF or CUSTOM)

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json